hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadoop QA (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YARN-3539) Compatibility doc to state that ATS v1 is a stable REST API
Date Tue, 28 Apr 2015 20:37:06 GMT

    [ https://issues.apache.org/jira/browse/YARN-3539?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14517991#comment-14517991
] 

Hadoop QA commented on YARN-3539:
---------------------------------

\\
\\
| (x) *{color:red}-1 overall{color}* |
\\
\\
|| Vote || Subsystem || Runtime || Comment ||
| {color:blue}0{color} | pre-patch |   3m 10s | Pre-patch trunk compilation is healthy. |
| {color:green}+1{color} | @author |   0m  0s | The patch does not contain any @author tags.
|
| {color:red}-1{color} | whitespace |   0m  0s | The patch has 4  line(s) that end in whitespace.
|
| {color:green}+1{color} | release audit |   0m 22s | The applied patch does not increase
the total number of release audit warnings. |
| {color:red}-1{color} | site |   2m  1s | Site compilation is broken. |
| | |   5m 37s | |
\\
\\
|| Subsystem || Report/Notes ||
| Patch URL | http://issues.apache.org/jira/secure/attachment/12728906/YARN-3539-004.patch
|
| Optional Tests | site |
| git revision | trunk / bc1bd7e |
| whitespace | https://builds.apache.org/job/PreCommit-YARN-Build/7527/artifact/patchprocess/whitespace.txt
|
| site | https://builds.apache.org/job/PreCommit-YARN-Build/7527/artifact/patchprocess/patchSiteWarnings.txt
|
| Java | 1.7.0_55 |
| uname | Linux asf904.gq1.ygridcore.net 3.13.0-36-lowlatency #63-Ubuntu SMP PREEMPT Wed Sep
3 21:56:12 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux |
| Console output | https://builds.apache.org/job/PreCommit-YARN-Build/7527/console |


This message was automatically generated.

> Compatibility doc to state that ATS v1 is a stable REST API
> -----------------------------------------------------------
>
>                 Key: YARN-3539
>                 URL: https://issues.apache.org/jira/browse/YARN-3539
>             Project: Hadoop YARN
>          Issue Type: Improvement
>          Components: documentation
>    Affects Versions: 2.7.0
>            Reporter: Steve Loughran
>            Assignee: Steve Loughran
>         Attachments: HADOOP-11826-001.patch, HADOOP-11826-002.patch, YARN-3539-003.patch,
YARN-3539-004.patch
>
>
> The ATS v2 discussion and YARN-2423 have raised the question: "how stable are the ATSv1
APIs"?
> The existing compatibility document actually states that the History Server is [a stable
REST API|http://hadoop.apache.org/docs/current/hadoop-project-dist/hadoop-common/Compatibility.html#REST_APIs],
which effectively means that ATSv1 has already been declared as a stable API.
> Clarify this by patching the compatibility document appropriately



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message